import numpy as np

classes_ = [0., 1.]
class_prior_ =[0.5, 0.5]
# [4. 4.]
theta_ = np.array( [[1.6155750e-02], [7.6437825e-07]] )
sigma_ = np.array( [[1.87394753e-07],[1.27400877e-12]] )
# epsilon = 6.53395880578219e-14

def _joint_log_likelihood( X ):
	joint_log_likelihood = []
	for i in range(np.size(classes_)):
		jointi = np.log( class_prior_[i] )
		n_ij = - 0.5 * np.sum(np.log(2. * np.pi * sigma_[i, :]))
		n_ij -= 0.5 * np.sum(((X - theta_[i, :]) ** 2) / (sigma_[i, :]))

		joint_log_likelihood.append(jointi + n_ij)

	joint_log_likelihood = np.array(joint_log_likelihood).T

	return joint_log_likelihood

