import sys
import numpy as np
import cv2

n = len( sys.argv )
if n != 2 :
	print( "Args: image_name" )
	sys.exit(1)

name = sys.argv[1]

Img1 = cv2.imread( name, cv2.IMREAD_GRAYSCALE )
rows, cols = Img1.shape
print( rows, cols )

hist = cv2.calcHist( [Img1], [0], None, [256], [0,256] )
print( hist.shape )

i = 0
while i < 256:
	print( i, hist[i,0] )
	i+=1
