import sys
import numpy as np
import cv2

n = len( sys.argv )
if n != 2 :
	print( "Args: image_name" )
	sys.exit(1)

name = sys.argv[1]

Img1 = cv2.imread( name, cv2.IMREAD_GRAYSCALE )
rows, cols = Img1.shape
print( rows, cols )

cv2.bitwise_not( Img1, Img1 )

n, Labels, stats, centroids = cv2.connectedComponentsWithStats( Img1 )
print( n )

i = 2
while i < n :
	x1 =  stats[i, cv2.CC_STAT_LEFT]
	y1 =  stats[i, cv2.CC_STAT_TOP]
	x2 = x1 + stats[i,cv2.CC_STAT_WIDTH]
	y2 = y1 + stats[i,cv2.CC_STAT_HEIGHT]
	Img2 = Labels[y1:y2, x1:x2] == i
	Img3 = 1 * Img2
	# print( Img3 )
	# print( type( Img3 ) )
	mu = cv2.moments( Img3, True )
	hu = cv2.HuMoments(mu)
	# print( i-1, hu[0,0], hu[1,0], hu[2,0], hu[3,0], hu[4,0], hu[5,0], hu[6,0] )
	# print( i-1, end=" " )
	j=0
	while j < 7 :
		print( "{0:.05g}".format( hu[j,0] ), end=" " )
		j += 1
	print( )
	i += 1
